Verdocs - Developer Documentation
ReferenceRest APIApi docsWebhooks

List webhook deliveries

GET
/v2/webhooks/deliveries

Query Parameters

event?string

Only deliveries for this event

envelope_id?string

Only deliveries about this envelope

status?string

Only deliveries in this state

Value in"delivered" | "failed" | "pending"
created_after?string

Only deliveries created at or after this time

Formatdate
created_before?string

Only deliveries created before this time

Formatdate
rows?integer

Page size, up to 100

Default25
page?integer

Page to retrieve (0-based)

Default0

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.verdocs.com/v2/webhooks/deliveries?param=value" \    -H "Authorization: Bearer ACCESS_TOKEN" \    -H "content-type: application/json" \    -d '{"param": "value"}'
{
  "count": 0,
  "rows": 0,
  "page": 0,
  "deliveries": [
    {}
  ]
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}